Browser Requirements

The Web pages and Google Map hosted by the GDLN require a minimum Web browser of Microsoft Internet Explorer 6.0 or higher, Firefox 2 or higher or any other Web browser compatible with these browsers.

If you are not sure of the version of your browser, select Help in the menu bar of your browser and choose About.

The following (free of charge) third-party browser  plug-ins are needed to view our documents and videos.

Adobe Acrobat Reader (for .pdf file extensions)

Flash Player (for videos)

 

Copyright © 2008 Global Development Learning Network
All rights reserved.